GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_subchannel_args Struct Reference

`#include <subchannel.h>`

## Data Fields
const grpc_channel_filter ** | filters
| Channel filters for this channel - wrapped factories will likely want to mutate this. More...
size_t | filter_count
| The number of filters in the above array. More...
const grpc_channel_args * | args
| Channel arguments to be supplied to the newly created channel. More...
struct sockaddr * | addr
| Address to connect to. More...
size_t | addr_len
grpc_mdctx * | mdctx
| metadata context to use More...
grpc_channel * | master
| master channel More...

## Field Documentation

struct sockaddr* grpc_subchannel_args::addr

Address to connect to.

size_t grpc_subchannel_args::addr_len

const grpc_channel_args* grpc_subchannel_args::args

Channel arguments to be supplied to the newly created channel.

size_t grpc_subchannel_args::filter_count

The number of filters in the above array.

const grpc_channel_filter** grpc_subchannel_args::filters

Channel filters for this channel - wrapped factories will likely want to mutate this.

grpc_channel* grpc_subchannel_args::master

master channel

grpc_mdctx* grpc_subchannel_args::mdctx

metadata context to use

The documentation for this struct was generated from the following file:

- src/core/client_config/subchannel.h